FAQ  •  Search  •  Profile  •  Log in to check your private messages  •  Log in
 How to get XLink Kai 7.4.18 running on Arch Linux View next topic
View previous topic
Post new topicReply to topic
Author Message
karmic
Kai Regular
Kai Regular


Joined: 02 Jan 2006
Posts: 172

PostPosted: Sat Jun 16, 2012 12:55 pm Reply with quoteBack to top

This guide contains the following 2 architectures.
    - Arch Linux i686
    - Arch Linux x86_64


32-bit
In the case of i686 architecture, install wxgtk package only:
Code:
pacman -S wxgtk

Make sure all the needed dependencies are listed:
Code:
ldd kaiengine

Code:
        linux-gate.so.1 =>  (0xb77a7000)
        libwx_gtk2u_richtext-2.8.so.0 => /usr/lib/libwx_gtk2u_richtext-2.8.so.0 (0xb76a4000)
        libwx_gtk2u_aui-2.8.so.0 => /usr/lib/libwx_gtk2u_aui-2.8.so.0 (0xb7642000)
        libwx_gtk2u_xrc-2.8.so.0 => /usr/lib/libwx_gtk2u_xrc-2.8.so.0 (0xb75c3000)
        libwx_gtk2u_qa-2.8.so.0 => /usr/lib/libwx_gtk2u_qa-2.8.so.0 (0xb75a7000)
        libwx_gtk2u_html-2.8.so.0 => /usr/lib/libwx_gtk2u_html-2.8.so.0 (0xb7516000)
        libwx_gtk2u_adv-2.8.so.0 => /usr/lib/libwx_gtk2u_adv-2.8.so.0 (0xb7460000)
        libwx_gtk2u_core-2.8.so.0 => /usr/lib/libwx_gtk2u_core-2.8.so.0 (0xb7135000)
        libwx_baseu_xml-2.8.so.0 => /usr/lib/libwx_baseu_xml-2.8.so.0 (0xb712b000)
        libwx_baseu_net-2.8.so.0 => /usr/lib/libwx_baseu_net-2.8.so.0 (0xb70ff000)
        libwx_baseu-2.8.so.0 => /usr/lib/libwx_baseu-2.8.so.0 (0xb6fb8000)
        libstdc++.so.6 => /usr/lib/libstdc++.so.6 (0xb6ed0000)
...



64-bit
In the case of x86_64 architecture, install 32-bit libraries from multilib repository, and then build 32-bit wxgtk library and install it.
To use the multilib repository and unofficial user repository, edit your pacman config file,
Code:
vi /etc/pacman.conf

and uncomment following 3 lines in there:
Code:
[multilib]
SigLevel = PackageRequired
Include = /etc/pacman.d/mirrorlist

and add following 3 lines to end of file:
Code:
[archlinuxfr]
SigLevel = PackageRequired
Server = http://repo.archlinux.fr/$arch


Upgrade your system,
Code:
pacman -Syu

install gcc-multilib and its dependencies:
Code:
pacman -S gcc-multilib gcc-libs-multilib binutils-multilib libtool-multilib lib32-glibc

Build 32-bit wxgtk library and install it:
Code:
yaourt -S lib32-wxgtk

Install the following package:
Code:
yaourt -S lib32-gtk-engines


Make sure all the needed dependencies are listed. In Arch Linux x86_64, 32-bit libraries are located inside "/usr/lib32":
Code:
ldd kaiengine

Code:
        linux-gate.so.1 =>  (0xf7777000)
        libwx_gtk2u_richtext-2.8.so.0 => /usr/lib32/libwx_gtk2u_richtext-2.8.so.0 (0xf7671000)
        libwx_gtk2u_aui-2.8.so.0 => /usr/lib32/libwx_gtk2u_aui-2.8.so.0 (0xf7611000)
        libwx_gtk2u_xrc-2.8.so.0 => /usr/lib32/libwx_gtk2u_xrc-2.8.so.0 (0xf7590000)
        libwx_gtk2u_qa-2.8.so.0 => /usr/lib32/libwx_gtk2u_qa-2.8.so.0 (0xf7573000)
        libwx_gtk2u_html-2.8.so.0 => /usr/lib32/libwx_gtk2u_html-2.8.so.0 (0xf74e0000)
        libwx_gtk2u_adv-2.8.so.0 => /usr/lib32/libwx_gtk2u_adv-2.8.so.0 (0xf7428000)
        libwx_gtk2u_core-2.8.so.0 => /usr/lib32/libwx_gtk2u_core-2.8.so.0 (0xf70fd000)
        libwx_baseu_xml-2.8.so.0 => /usr/lib32/libwx_baseu_xml-2.8.so.0 (0xf70f3000)
        libwx_baseu_net-2.8.so.0 => /usr/lib32/libwx_baseu_net-2.8.so.0 (0xf70c6000)
        libwx_baseu-2.8.so.0 => /usr/lib32/libwx_baseu-2.8.so.0 (0xf6f7e000)
        libstdc++.so.6 => /usr/lib32/libstdc++.so.6 (0xf6e96000)
...



Related URI


Reference Works


Thanks

_________________
XLinkKai on Linux ( http://www37.atwiki.jp/linux_kai/ )

Last edited by karmic on Sat Jun 16, 2012 4:33 pm; edited 1 time in total
View user's profileSend private message
giggyprince
Team XLink Moderator
Team XLink Moderator


Joined: 27 Feb 2011
Posts: 1206

PostPosted: Sat Jun 16, 2012 2:25 pm Reply with quoteBack to top

Thanks again for your effort added it.

- http://www.teamxlink.co.uk/wiki/doku.php?id=evo7:linux
View user's profileSend private message
Display posts from previous:      
Post new topicReply to topic


 Jump to:   



View next topic
View previous topic
You can post new topics in this forum
You can reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum


Powered by phpBB © 2001, 2002 phpBB Group :: Theme by Daz :: All times are GMT